#include <iostream>

using namespace std;

#define pb push_back
#define x first
#define y second
#define IOS ios :: sync_with_stdio(0); cin.tie(0); cout.tie(0);
#define endl "\n"
typedef long long ll;
typedef pair<int, int> pi;
typedef pair<ll, ll> pll;

int main()
{
    IOS;
    int x1, y1, x2, y2;
    cin >> x1 >> y1 >> x2 >> y2;
    if (x1 == x2 || y1 == y2) cout << 2; else {
        if (abs(x2 - x1) == abs(y1 - y2)) cout << 1; else cout << 0;
    }
    return 0;
}